package com.mortals.xhx.module.access.model;

import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.access.model.vo.AccessLogVo;
/**
* 访问日志实体对象
*
* @author zxfei
* @date 2022-08-17
*/

public class AccessLogEntity extends AccessLogVo {
    private static final long serialVersionUID = 1L;

    /**
    * 追踪Id
    */
    private String traceID;
    /**
    * 应用名称
    */
    private String appName;
    /**
    * 实例IP
    */
    private String hostName;
    /**
    * 日志等级
    */
    private String logLevel;
    /**
    * 请求者IP
    */
    private String requestIp;
    /**
    * 请求方式
    */
    private String method;
    /**
    * 用户浏览器UA
    */
    private String ua;
    /**
    * 请求URI
    */
    private String uri;
    /**
    * 请求参数，json序列化
    */
    private String requestParam;
    /**
    * 响应结果
    */
    private String response;
    /**
    * 日志产生时间
    */
    private Date logTime;
    /**
    * 持续时间，单位毫秒
    */
    private Integer duration;



    public AccessLogEntity(){}
    /**
    * 获取 追踪Id
    * @return String
    */
    public String getTraceID(){
        return traceID;
    }
    /**
    * 设置 追踪Id
    * @param traceID
    */
    public void setTraceID(String traceID){
        this.traceID = traceID;
    }
    /**
    * 获取 应用名称
    * @return String
    */
    public String getAppName(){
        return appName;
    }
    /**
    * 设置 应用名称
    * @param appName
    */
    public void setAppName(String appName){
        this.appName = appName;
    }
    /**
    * 获取 实例IP
    * @return String
    */
    public String getHostName(){
        return hostName;
    }
    /**
    * 设置 实例IP
    * @param hostName
    */
    public void setHostName(String hostName){
        this.hostName = hostName;
    }
    /**
    * 获取 日志等级
    * @return String
    */
    public String getLogLevel(){
        return logLevel;
    }
    /**
    * 设置 日志等级
    * @param logLevel
    */
    public void setLogLevel(String logLevel){
        this.logLevel = logLevel;
    }
    /**
    * 获取 请求者IP
    * @return String
    */
    public String getRequestIp(){
        return requestIp;
    }
    /**
    * 设置 请求者IP
    * @param requestIp
    */
    public void setRequestIp(String requestIp){
        this.requestIp = requestIp;
    }
    /**
    * 获取 请求方式
    * @return String
    */
    public String getMethod(){
        return method;
    }
    /**
    * 设置 请求方式
    * @param method
    */
    public void setMethod(String method){
        this.method = method;
    }
    /**
    * 获取 用户浏览器UA
    * @return String
    */
    public String getUa(){
        return ua;
    }
    /**
    * 设置 用户浏览器UA
    * @param ua
    */
    public void setUa(String ua){
        this.ua = ua;
    }
    /**
    * 获取 请求URI
    * @return String
    */
    public String getUri(){
        return uri;
    }
    /**
    * 设置 请求URI
    * @param uri
    */
    public void setUri(String uri){
        this.uri = uri;
    }
    /**
    * 获取 请求参数，json序列化
    * @return String
    */
    public String getRequestParam(){
        return requestParam;
    }
    /**
    * 设置 请求参数，json序列化
    * @param requestParam
    */
    public void setRequestParam(String requestParam){
        this.requestParam = requestParam;
    }
    /**
    * 获取 响应结果
    * @return String
    */
    public String getResponse(){
        return response;
    }
    /**
    * 设置 响应结果
    * @param response
    */
    public void setResponse(String response){
        this.response = response;
    }
    /**
    * 获取 日志产生时间
    * @return Date
    */
    public Date getLogTime(){
        return logTime;
    }
    /**
    * 设置 日志产生时间
    * @param logTime
    */
    public void setLogTime(Date logTime){
        this.logTime = logTime;
    }
    /**
    * 获取 持续时间，单位毫秒
    * @return Integer
    */
    public Integer getDuration(){
        return duration;
    }
    /**
    * 设置 持续时间，单位毫秒
    * @param duration
    */
    public void setDuration(Integer duration){
        this.duration = duration;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof AccessLogEntity) {
            AccessLogEntity tmp = (AccessLogEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",traceID:").append(getTraceID());
        sb.append(",appName:").append(getAppName());
        sb.append(",hostName:").append(getHostName());
        sb.append(",logLevel:").append(getLogLevel());
        sb.append(",requestIp:").append(getRequestIp());
        sb.append(",method:").append(getMethod());
        sb.append(",ua:").append(getUa());
        sb.append(",uri:").append(getUri());
        sb.append(",requestParam:").append(getRequestParam());
        sb.append(",response:").append(getResponse());
        sb.append(",logTime:").append(getLogTime());
        sb.append(",duration:").append(getDuration());
        return sb.toString();
    }

    public void initAttrValue(){

            this.traceID = "";

            this.appName = "";

            this.hostName = "";

            this.logLevel = "";

            this.requestIp = "";

            this.method = "";

            this.ua = "";

            this.uri = "";

            this.requestParam = "";

            this.response = "";

            this.logTime = null;

            this.duration = null;
    }
}